package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

/**
 * 对应数据库表(music_group_train_plan):
 */
public class MusicGroupTrainPlan extends BaseEntity {

	/**  */
	private Integer id;
	
	/**  */
	private String musicGroupId;
	
	/**  */
	private Integer classGroupId;
	
	/**  */
	private String courseType;
	
	/**  */
	private String plan;
	
	/** 学期开始时间 */
	private java.util.Date startSchoolTerm;
	
	/** 学期截止时间 */
	private java.util.Date endSchoolTerm;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	private java.util.Date createTime;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setClassGroupId(Integer classGroupId){
		this.classGroupId = classGroupId;
	}
	
	public Integer getClassGroupId(){
		return this.classGroupId;
	}
			
	public void setCourseType(String courseType){
		this.courseType = courseType;
	}
	
	public String getCourseType(){
		return this.courseType;
	}
			
	public void setPlan(String plan){
		this.plan = plan;
	}
	
	public String getPlan(){
		return this.plan;
	}
			
	public void setStartSchoolTerm(java.util.Date startSchoolTerm){
		this.startSchoolTerm = startSchoolTerm;
	}
	
	public java.util.Date getStartSchoolTerm(){
		return this.startSchoolTerm;
	}
			
	public void setEndSchoolTerm(java.util.Date endSchoolTerm){
		this.endSchoolTerm = endSchoolTerm;
	}
	
	public java.util.Date getEndSchoolTerm(){
		return this.endSchoolTerm;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
